SISCTRL(1x)

NAME
sisctrl - Display Control Panel for XFree86/X.org SiS driver

SYNOPSIS
sisctrl [options]

DESCRIPTION
sisctrl is a gtk-2.x based tool for the XFree86/X.org SiS ("sis") driver to tune the display parameters during X server run-time. Among other features, it allows switching and changing output devices, tuning TV output, gamma correction and Xv (hardware video) properties. It also supports switching the display mode and resizing the desktop using the RandR extension.

To allow this tool to work, it is required to add

   Option "EnableSiSCtrl" "on"

to the corresponding Device section of XF86Config-4/xorg.conf.

OPTIONS

-h, -help, -?
    Show summary of options.

-display display
    This argument allows you to specify the server sisctrl should be running on; see X(7x). For example: sisctrl -display :0.0

-screen screen
    This argument allows you to specify the screen sisctrl should configure. This argument is only used in Xinerama mode. Usually, screen 0 is CRT2, screen 1 is CRT1. This argument is ignored if the X server is not running in Xinerama mode. For example: sisctrl -screen 0

-force
    This argument forces sisctrl to start, even if it detects another running session. This is dangerous and should only be used if sisctrl - for some reason - crashed or was killed with a KILL signal and at starting (hence wrongly) complains about another running session.

-noxvdemo
    Disables display of a demo-video in the Video-tab.

-status
    Prints the current display status and exits.

-version
    Prints the program version and exits.

-setgammabrightness, -sg
    This argument makes sisctrl set the pre-defined gamma brightness and pre-brightness values given by the StoredGammaBrightness and StoredGammaPreBrightness driver options and exit (without starting the GUI and without requiring any user interaction). Since the X driver cannot set the gamma ramp itself, you need to execute sisctrl with this argument in order to do this at server start. Most conveniently, add "sisctrl -sg &" at the beginning of your ~.xsession file.

-setcrt1 mode
    This sets the CRT1 mode. mode is either "on" =("vga"), "off" or "lcd". "lcd" is for activating LCD-via-CRT1 and only supported on some machines. Using this parameter sets the mode immendiately and does not start the GUI.

-setcrt2 mode
    This sets the CRT2 mode. mode is either "lcd", "tv", "svideo", "cvbs", "svideo+cvbs", "scart", "hivision", "ypbpr1080i", "ypbpr720p", "ypbpr480p", "ypbpr480i", "vga" or "off". "tv" is to be used on Chrontel systems, whereas the specific plug type "svideo", "cvbs" etc is meant for systems with SiS video bridges. Using this parameter sets the mode immendiately and does not start the GUI.

-settvstandard std
    This sets the TV standard. std is "pal", "palm", "paln", "ntsc" or "ntscj". Using this parameter sets the mode immendiately and does not start the GUI.

-settvoverscan mode
    This sets the TV overscan mode on systems with a Chrontel TV encoder. mode is "bios, "underscan", "overscan" or "soverscan". "soverscan" is supported in PAL only. Using this parameter sets the mode immendiately and does not start the GUI.

-settvaspect mode
    This sets the YPbPr output aspect ratio on some newer systems. mode is "4:3", "4:3lb" or "16:9". Using this parameter sets the mode immendiately and does not start the GUI.

-setxvcrt crtnumber
    This selects whether the video overlay should be used for CRT1 or CRT2 on machines with a SiS315, 740, 650 or 330. crtnumber is either "1" or "2". Using this parameter sets the mode immendiately and does not start the GUI.

-settvxpos offset

-settvypos offset
    Select the TV screen position on your TV. offset must be within the range from -32 to 32. Using this parameter sets the mode immendiately and does not start the GUI.

-settvxscale scaleno

-settvyscale scaleno
    Select TV zooming (scaling) mode. scaleno must be within the range from -16 to 16 for X, and -4 to 3 for Y.

SEE ALSO
X (7x), XF86Config-4 (5x).

<http://www.winischhofer.net/linuxsisvga.shtml>

AUTHOR
Thomas Winischhofer <thomas@winischhofer.net>